<template>
    <label :class="[main ? 'checkbox-label' : 'checkbox-label-partner']">
        <input :name="name"
               :class="[main ? 'checkbox-input' : 'checkbox-input-partner']"
               type="checkbox"
               :required="required"
               v-model="selected"
        >
        <div :class="[main ? 'checkbox-slot' : 'checkbox-slot-partner']">
            <slot></slot>
        </div>
    </label>
</template>

<script>
export default {
    name: 'base-checkbox',
    props: {
        name: {
            type: String,
            required: true
        },
        main: {
            type: Boolean,
            required: false,
            default: true
        },
        required: {
            type: Boolean,
            default: true
        }
    },
    data() {
        return {
            selected: false
        };
    },
    watch: {
        selected(value) {
            this.$emit(`update:${this.name}`, value);
        }
    }
};
</script>

<style scoped>

</style>
